=== debian/changelog ===
ros-melodic-sick-tim (0.0.17-1bionic) bionic; urgency=high

  * Switch to non-deprecated node in launch files
    The state_publisher node is deprecated in Kinetic and was removed in
    Noetic.
  * Avoid compilation warning in libusb on noetic
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 24 May 2020 22:00:00 -0000

ros-melodic-sick-tim (0.0.16-1bionic) bionic; urgency=high

  * travis CI: Switch to Docker
  * Avoid runtime error if ROS time is 0
    See #76 <https://github.com/uos/sick_tim/issues/76>
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-melodic-sick-tim (0.0.15-1bionic) bionic; urgency=high

  * Add libusb-1.0-dev to build_export_depend (#75 <https://github.com/uos/sick_tim/issues/75>)
  * Contributors: Alex Moriarty

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 03 Mar 2019 23:00:00 -0000

ros-melodic-sick-tim (0.0.14-1bionic) bionic; urgency=high

  * Install udev rules during binary package installation
  * TiM551/TiM571: Fix HEADER_FIELDS calculation when device name is not set
    Fixes #72 <https://github.com/uos/sick_tim/issues/72>.
  * sick_mrs1000: Fix missing cloud time stamp (#69 <https://github.com/uos/sick_tim/issues/69>)
    Fixes #68 <https://github.com/uos/sick_tim/issues/68>.
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 08 Jan 2019 23:00:00 -0000

ros-melodic-sick-tim (0.0.13-1bionic) bionic; urgency=high

  * First release into melodic
  * Fix mrs1000 frame_id parameter (#61 <https://github.com/uos/sick_tim/issues/61>)
    If frame_id parameter was defined to something other than "laser", the node would not publish the /scan topic and the /cloud header.frame_id would always be "laser" even if a different one was defined. This fixes both issues.
  * Add min/max angle and range parameters to URDF macros (#60 <https://github.com/uos/sick_tim/issues/60>)
  * catkin test-flag around roslaunch_add_file_check (#59 <https://github.com/uos/sick_tim/issues/59>)
    Eval CATKIN_ENABLE_TESTING prior to call roslaunch_add_file_check to ensure the function is defined.
  * Contributors: Jacob Perron, Jeremie Deray, Patrick Hussey

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 24 May 2018 22:00:00 -0000

ros-melodic-sick-tim (0.0.12-1bionic) bionic; urgency=high

  * Fix memory leak (#56 <https://github.com/uos/sick_tim/issues/56>)
    s should be deleted before returning.
  * mrs1000: Make output REP-117 compliant (invalid = +inf)
    This is a port of e964fb4c to the MRS-1000.
  * sick mrs1000 driver (#55 <https://github.com/uos/sick_tim/issues/55>)
    This commit adds SICK MRS-1000 support. The initialization of the device
    has to be different, due to that I have made the methods for initialization
    virtual and now the mrs1000 driver runs different init code. Also the
    support for PointCloud2 is new.
  * Contributors: Sebastian Pütz, Jochen Sprickerhof, Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-melodic-sick-tim (0.0.11-1bionic) bionic; urgency=high

  * Make output REP-117 compliant (#54 <https://github.com/uos/sick_tim/issues/54>)
    The laser scan topic now encodes invalid measurements as +inf instead of 0.
    This makes costmap2d treat all invalid measurements as out of range
    measurements and correctly clearing obstacles even when there is no valid
    measurement behind.  This can lead to some obstacles being incorrectly
    cleared (when the "0" returne by the SICK TiM actually means "invalid
    measurement" or "too close to measure" instead of "out of range"), but this
    happens much less frequently in practice than the problem of non-cleared
    obstacles.
  * .travis.yml: Add fix for travis-ci/travis-ci#8048 <https://github.com/travis-ci/travis-ci/issues/8048>
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Wed, 20 Dec 2017 23:00:00 -0000

ros-melodic-sick-tim (0.0.10-1bionic) bionic; urgency=high

  * Automatically reboot scanner if it reports an error code. (#44 <https://github.com/uos/sick_tim/issues/44>)
  * Update strtok logic. Fixes #42 <https://github.com/uos/sick_tim/issues/42> (#43 <https://github.com/uos/sick_tim/issues/43>)
  * Contributors: Derek King, Jochen Sprickerhof, Martin Guenther

 -- Martin Günther <martin.guenther@dfki.de>  Fri, 06 Jan 2017 23:00:00 -0000

ros-melodic-sick-tim (0.0.9-1bionic) bionic; urgency=high

  * timestamp diagnostics must take into account time_offset (#41 <https://github.com/uos/sick_tim/issues/41>)
  * Choose one of multiple connected scanners
  * Contributors: Christian Reinhard, procopiostein

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 08 Sep 2016 22:00:00 -0000

ros-melodic-sick-tim (0.0.8-1bionic) bionic; urgency=high

  * First release into kinetic
  * Remove dependency on driver_base
    The driver_base package is end-of-life, and we only needed it because of
    one enum.
  * Contributors: Martin Guenther

 -- Martin Günther <martin.guenther@dfki.de>  Sun, 24 Apr 2016 22:00:00 -0000

ros-melodic-sick-tim (0.0.7-1bionic) bionic; urgency=high

  * Check for firmware versions without range output
    Closes #36 <https://github.com/uos/sick_tim/issues/36> .
  * Use intensity param in TiM 551/571 parser
    Also print a warning when the intensity param is set, but RSSI is not
    enabled on the scanner. See #32 <https://github.com/uos/sick_tim/issues/32>.
  * Other minor changes
  * Contributors: Martin Günther

 -- Martin Günther <martin.guenther@dfki.de>  Thu, 14 Apr 2016 22:00:00 -0000

ros-melodic-sick-tim (0.0.6-1bionic) bionic; urgency=high

  * First release into Jade
  * Create sick_tim571_2050001.launch
    This launch file can be used directly to connect to TIM571 devices.
    See #28 <https://github.com/uos/sick_tim/issues/28>.
  * Contributors: Martin Günther, sacuar


