=== debian/control ===
Source: ros-melodic-sick-tim
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), libusb-1.0-0-dev, ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-sensor-msgs
Homepage: http://wiki.ros.org/sick_tim
Standards-Version: 3.9.2

Package: ros-melodic-sick-tim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0, libusb-1.0-0-dev, ros-melodic-diagnostic-updater, ros-melodic-dynamic-reconfigure, ros-melodic-robot-state-publisher, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-xacro
Description: A ROS driver for the SICK TiM and the SICK MRS 1000 laser scanners.
